export declare class SparkleUserProfile {
  el: Element;
  profileFormControls: {
    ProfileImage: {
      isValid: boolean;
      value: string;
      validate: (_: any) => boolean;
    };
    FirstName: {
      isValid: boolean;
      value: string;
      validate: (value: any) => boolean;
    };
    LastName: {
      isValid: boolean;
      value: string;
      validate: (value: any) => boolean;
    };
    ProfileText: {
      isValid: boolean;
      value: string;
      validate: (value: any) => boolean;
    };
  };
  profileFormSubmitted: boolean;
  componentWillLoad(): void;
  changeFormValue(controlName: any, value: any): void;
  handleProfileFormSubmit(e: any): Promise<void>;
  updateUser(): Promise<void>;
  uploadProfileImage(event: any): Promise<void>;
  selectFile(): void;
  render(): any;
}
